extends KinematicBody


# Declare member variables here. Examples:
const GRAVITY: float = 9.8
var _velocity: Vector3 = Vector3.ZERO


# Called when the node enters the scene tree for the first time.
#func _ready():
#    pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#    pass

func _physics_process(delta):
        
    _velocity.x = 0
    _velocity.y -= GRAVITY * delta
    if Input.is_action_pressed("ui_left"):
        _velocity.z = 10
    elif Input.is_action_pressed("ui_right"):
        _velocity.z = -10
    else:
        _velocity.z = 0

    var snap = -self.get_floor_normal() if self.is_on_floor() else Vector3.ZERO    
    _velocity = self.move_and_slide_with_snap(_velocity, snap, Vector3.UP, true, 4, PI * 0.495)
